#pragma once
#include <map>
struct M_ReturnBenifitRechargeCFGData
{
	//id
	int mID;
	//需要充值金额
	int mNeedRecharge;
	//奖励数量
	std::vector<int> mItem;
	//奖励数量
	std::vector<int> mItemCount;
};

class M_ReturnBenifitRechargeCFG
{
public:
private:
	static std::auto_ptr<M_ReturnBenifitRechargeCFG> msSingleton;
public:
	int GetCount();
	const M_ReturnBenifitRechargeCFGData* GetData(int ID);
	const std::map<int, M_ReturnBenifitRechargeCFGData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_ReturnBenifitRechargeCFG* GetSingleton();
	static void Release();
private:
	std::map<int, M_ReturnBenifitRechargeCFGData> mMapData;
};
